--Takes Console Commands and sets them up as simple slash commands
--By Ciri of Spinebreaker (Alliance)
--Feel free to contact me on Spinebreaker (Alliance) if you have any questions or suggestions (Send me an ingame mail if I'm not online, you can afford to farm for 30 seconds for the 30 copper).

--These are all regular slash commands so they can be macroed in the way that /attack or /brb can be macroed

--Sheath Toggling
--Until I figure out how to detect the state of your weapon (out or not), the commands that will be exclusive to taking out or replacing your weapon will be used for toggling its status.
	_G["SlashCmdList"]["SHEATH_MAIN"] = function()
ToggleSheath() end
	_G["SLASH_SHEATH_MAIN1"] = "/sheath"
	_G["SLASH_SHEATH_MAIN2"] = "/togglesheath"
	_G["SLASH_SHEATH_MAIN3"] = "/unsheath"
	_G["SLASH_SHEATH_MAIN4"] = "/resheath"

--Random Noncombat pet
	_G["SlashCmdList"]["CRITTER_MAIN"] = function()
SummonRandomCritter() end
	_G["SLASH_CRITTER_MAIN1"] = "/critter"
	_G["SLASH_CRITTER_MAIN2"] = "/rpet"
	_G["SLASH_CRITTER_MAIN3"] = "/randompet"
	_G["SLASH_CRITTER_MAIN4"] = "/rcritter"
	_G["SLASH_CRITTER_MAIN5"] = "/randomcritter"
	
--Toggle Framerate
	_G["SlashCmdList"]["FRAMERATE_MAIN"] = function()
ToggleFramerate() end
	_G["SLASH_FRAMERATE_MAIN1"] = "/fps"
	_G["SLASH_FRAMERATE_MAIN2"] = "/framerate"	

--Open Bags
	_G["SlashCmdList"]["BAGS_MAIN"] = function()
OpenAllBags() end
	_G["SLASH_BAGS_MAIN1"] = "/openbags"
	_G["SLASH_BAGS_MAIN2"] = "/obags"
	_G["SLASH_BAGS_MAIN3"] = "/open"
	
--Close Bags
	_G["SlashCmdList"]["CLOSEBAGS_MAIN"] = function()
CloseAllBags() end
	_G["SLASH_CLOSEBAGS_MAIN1"] = "/closebags"
	_G["SLASH_CLOSEBAGS_MAIN2"] = "/cbags"
	_G["SLASH_CLOSEBAGS_MAIN3"] = "/close"

--Accept Duels
	_G["SlashCmdList"]["ACCEPTDUEL_MAIN"] = function()
AcceptDuel() end
	_G["SLASH_ACCEPTDUEL_MAIN1"] = "/acceptduel"
	_G["SLASH_ACCEPTDUEL_MAIN2"] = "/aduel"
	_G["SLASH_ACCEPTDUEL_MAIN3"] = "/acceptd"

--Decline Duels
	_G["SlashCmdList"]["DECLINEDUEL_MAIN"] = function()
CancelDuel() end
	_G["SLASH_DECLINEDUEL_MAIN1"] = "/cancelduel"
	_G["SLASH_DECLINEDUEL_MAIN2"] = "/cduel"
	_G["SLASH_DECLINEDUEL_MAIN3"] = "/canceld"
	_G["SLASH_DECLINEDUEL_MAIN4"] = "/declined"
	_G["SLASH_DECLINEDUEL_MAIN5"] = "/dduel"
	_G["SLASH_DECLINEDUEL_MAIN6"] = "/declineduel"

--Use Reincarnate or Soulstone
	_G["SlashCmdList"]["SOULSTONE_MAIN"] = function()
UseSoulstone() end
	_G["SLASH_SOULSTONE_MAIN1"] = "/soulstone"
	_G["SLASH_SOULSTONE_MAIN2"] = "/ssuse"
	_G["SLASH_SOULSTONE_MAIN3"] = "/ankh"
	_G["SLASH_SOULSTONE_MAIN4"] = "/reincarnate"
	_G["SLASH_SOULSTONE_MAIN5"] = "/reincarnation"

--Take a Summon
	_G["SlashCmdList"]["SUMMON_MAIN"] = function()
ConfirmSummon() end
	_G["SLASH_SUMMON_MAIN1"] = "/summon"
	_G["SLASH_SUMMON_MAIN2"] = "/summonaccept"
	_G["SLASH_SUMMON_MAIN3"] = "/takesummon"
	_G["SLASH_SUMMON_MAIN4"] = "/usesummon"
	_G["SLASH_SUMMON_MAIN5"] = "/acceptsummon"

--Reject a Summon
	_G["SlashCmdList"]["NOSUMMON_MAIN"] = function()
CancelSummon() end
	_G["SLASH_NOSUMMON_MAIN1"] = "/nosummon"
	_G["SLASH_NOSUMMON_MAIN2"] = "/summondecline"
	_G["SLASH_NOSUMMON_MAIN3"] = "/notakesummon"
	_G["SLASH_NOSUMMON_MAIN4"] = "/nousesummon"
	_G["SLASH_NOSUMMON_MAIN5"] = "/declinesummon"
	_G["SLASH_NOSUMMON_MAIN6"] = "/cancelsummon"
	_G["SLASH_NOSUMMON_MAIN7"] = "/summoncancel"

--Turn on all addons after ui reload
	_G["SlashCmdList"]["ADDONSON_MAIN"] = function()
EnableAllAddOns() end
	_G["SLASH_ADDONSON_MAIN1"] = "/addonson"
	_G["SLASH_ADDONSON_MAIN2"] = "/addons"
	_G["SLASH_ADDONSON_MAIN3"] = "/useaddons"
	_G["SLASH_ADDONSON_MAIN4"] = "/yesaddons"
	_G["SLASH_ADDONSON_MAIN5"] = "/alladdons"

--Turn off all addons after ui reload
--Note: SlashPlus is an addon, and will be turned off in the current state, I may work on making slash commands that shut off all others, but for now the addon is intended to be simple
	_G["SlashCmdList"]["ADDONSOFF_MAIN"] = function()
DisableAllAddOns() end
	_G["SLASH_ADDONSOFF_MAIN1"] = "/addonsoff"
	_G["SLASH_ADDONSOFF_MAIN2"] = "/noaddons"
	_G["SLASH_ADDONSOFF_MAIN3"] = "/nouseaddons"

--Accept Quests
--You need to be on the window where you would normally accept a quest, for the time being just targeting a quest npc shouldn't do
	_G["SlashCmdList"]["ACCEPTQUEST_MAIN"] = function()
AcceptQuest() end
	_G["SLASH_ACCEPTQUEST_MAIN1"] = "/acceptquest"
	_G["SLASH_ACCEPTQUEST_MAIN2"] = "/questaccept"
	_G["SLASH_ACCEPTQUEST_MAIN3"] = "/acceptq"
	_G["SLASH_ACCEPTQUEST_MAIN4"] = "/qaccept"
	_G["SLASH_ACCEPTQUEST_MAIN5"] = "/takequest"
	_G["SLASH_ACCEPTQUEST_MAIN6"] = "/takeq"

--Decline Quests
--You need to be on the window where you would normally decline a quest
	_G["SlashCmdList"]["DECLINEQUEST_MAIN"] = function()
DeclineQuest() end
	_G["SLASH_DECLINEQUEST_MAIN1"] = "/declinequest"
	_G["SLASH_DECLINEQUEST_MAIN2"] = "/questdecline"
	_G["SLASH_DECLINEQUEST_MAIN3"] = "/declineq"
	_G["SLASH_DECLINEQUEST_MAIN4"] = "/qdecline"
	_G["SLASH_DECLINEQUEST_MAIN5"] = "/notakequest"
	_G["SLASH_DECLINEQUEST_MAIN6"] = "/notakeq"

--PvP timer (how long till your PvP flag turns off - For PvE/RP servers)
	_G["SlashCmdList"]["PVPTIMER_MAIN"] = function()
GetPvPTimer() end
	_G["SLASH_PVPTIMER_MAIN1"] = "/pvptimer"
	_G["SLASH_PVPTIMER_MAIN2"] = "/pvptime"

--Accept a Res
	_G["SlashCmdList"]["ACCEPTRES_MAIN"] = function()
AcceptResurrect() end
	_G["SLASH_ACCEPTRES_MAIN1"] = "/acceptres"
	_G["SLASH_ACCEPTRES_MAIN2"] = "/acceptresurrection"
	_G["SLASH_ACCEPTRES_MAIN3"] = "/takeresurrection"
	_G["SLASH_ACCEPTRES_MAIN4"] = "/takeres"
	_G["SLASH_ACCEPTRES_MAIN5"] = "/useresurrection"
	_G["SLASH_ACCEPTRES_MAIN6"] = "/useres"
	_G["SLASH_ACCEPTRES_MAIN7"] = "/resurrect"
	_G["SLASH_ACCEPTRES_MAIN8"] = "/res"
	_G["SLASH_ACCEPTRES_MAIN9"] = "/resurrection"